<template>
  <div
    class="dibs--lang-dropdown"
    :class="{ 'dibs--lang-dropdown--open': open }"
    @mouseover="openMe"
    @mouseleave="closeMe"
  >
    <button class="dropbtn">{{ selected.label }}</button>
    <div class="dibs--lang-dropdown-wrapper">
      <div class="dibs--lang-dropdown-content">
        <a v-for="lang in langs" :key="lang.code" @click="select(lang)">{{
          lang.label
        }}</a>
      </div>
    </div>
  </div>
</template>
<script>
export default {
  data() {
    return {
      open: false,
      langs: this.$i18n.locales.filter((i) => i.code !== this.$i18n.locale),
      selected: this.$i18n.locales.filter(
        (locale) => this.$i18n.locale === locale.code,
      )[0],
    };
  },
  methods: {
    select: function (locale) {
      this.selected = locale;
      this.closeMe();
      navigateTo(this.switchLocalePath(locale.code));
      // this.$i18n.setLocale(locale.code)
    },
    openMe: function () {
      this.open = true;
    },
    closeMe: function () {
      this.open = false;
    },
  },
};
</script>
<style>
.dibs--lang-dropdown {
  font-size: 0.8125em;
  font-weight: 700;
}

/* Style The Dropdown Button */
.dropbtn {
  background-color: inherit;
  color: var(--dibs-font--aside-color);
  border: 0.17em solid var(--dibs-font--aside-color);
  padding: 0.625em 1.25em;
  border-radius: 1.875em;
  cursor: pointer;
  font-weight: 700;
}

.dropbtn:after {
  content: "▾";
  display: inline;
  padding-left: 0.5em;
}

/* The container <div> - needed to position the dropdown content */
.dibs--lang-dropdown {
  position: relative;
  width: fit-content;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.dibs--lang-dropdown-wrapper {
  width: fit-content;
  height: 0;
  margin-top: 0.5em;
}

.dibs--lang-dropdown-content {
  display: none;
  background-color: white;
  box-shadow: var(--dibs-shadow--strong);
  z-index: 1;
}

.dibs--lang-dropdown-content a {
  background: var(--dibs-font--aside-color);
  color: var(--dibs-colors--accent);
  padding: 0.8em 1em;
  text-decoration: none;
  display: block;
  border: 0.17em solid var(--dibs-font--aside-color);
}

.dibs--lang-dropdown-content a:hover {
  background-color: var(--dibs-colors--accent);
  color: var(--dibs-colors--aside-color);
}

.dibs--lang-dropdown--open .dibs--lang-dropdown-content {
  display: block;
}

.dibs--lang-dropdown--open .dropbtn {
  color: var(--dibs-colors--accent);
  background: var(--dibs-font--aside-color);
}
</style>
